## x2goserver-20201227 08aa5e6

=== libx2go-server-db-perl/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

CC      ?= gcc
override CFLAGS  += -fPIE
override LDFLAGS += -pie

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR ?= /etc/x2go
BINDIR ?= $(PREFIX)/bin
SBINDIR ?= $(PREFIX)/sbin
LIBDIR ?= $(PREFIX)/lib/x2go
MANDIR ?= $(PREFIX)/share/man
SHAREDIR ?= $(PREFIX)/share/x2go

#BIN_SCRIPTS=$(shell cd bin && echo *)
#SBIN_SCRIPTS=$(shell cd sbin && echo *)
LIB_FILES=libx2go-server-db-sqlite3-wrapper libx2go-server-db-sqlite3-wrapper.pl
#FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && echo *.features)

#man_pages = `cd man && find * -type f`

#MAN2HTML_BIN  = man2html
#MAN2HTML_SRC  = man
#MAN2HTML_DEST = .build_man2html/html

all: clean build

build: build-arch build-indep

build-arch:
	$(CC) $(CFLAGS) $(LDFLAGS) -DTRUSTED_BINARY=\"$(LIBDIR)/libx2go-server-db-sqlite3-wrapper.pl\" -o lib/libx2go-server-db-sqlite3-wrapper src/libx2go-server-db-sqlite3-wrapper.c

build-indep:

clean: clean-arch clean-indep

clean-arch:
	rm -f lib/libx2go-server-db-sqlite3-wrapper

clean-indep:

install: install_scripts

install_scripts:
	$(INSTALL_DIR) $(DESTDIR)$(LIBDIR)
	$(INSTALL_PROGRAM) lib/*                   $(DESTDIR)$(LIBDIR)/
	getent group x2gouser &>/dev/null && chown root:x2gouser $(DESTDIR)$(LIBDIR)/libx2go-server-db-sqlite3-wrapper || true
	chmod 2755 $(DESTDIR)$(LIBDIR)/libx2go-server-db-sqlite3-wrapper

uninstall: uninstall_scripts

uninstall_scripts:
	for file in $(LIB_FILES); do $(RM_FILE) $(DESTDIR)$(LIBDIR)/$$file; done

=== x2goserver-xsession/Makefile ===
#!/usr/bin/make -f

SRC_DIR=$(CURDIR)
SHELL=/bin/bash

INSTALL_DIR=install -d -o root -g root -m 755
INSTALL_FILE=install -o root -g root -m 644
INSTALL_SYMLINK=ln -s -f
INSTALL_PROGRAM=install -o root -g root -m 755

RM_FILE=rm -f
RM_DIR=rmdir -p --ignore-fail-on-non-empty

DESTDIR ?=
PREFIX ?= /usr/local
ETCDIR ?= /etc/x2go
BINDIR ?= $(PREFIX)/bin
SBINDIR ?= $(PREFIX)/sbin
LIBDIR ?= $(PREFIX)/lib/x2go
MANDIR ?= $(PREFIX)/share/man
SHAREDIR ?= $(PREFIX)/share/x2go

XSESSIONDIR ?= /etc/X11/Xsession.d
XSESSIONOPTIONFILE ?= /etc/X11/Xsession.options
XINITRCDIR ?= /etc/X11/xinit/xinitrc.d
XCLIENTSDIR ?= /etc/X11/xinit/Xclients.d

ETC_FILES=$(shell cd etc && echo *)
FEATURE_SCRIPTS=$(shell cd share/x2gofeature.d && echo *.features)

all: clean build

build: build-arch build-indep

build-arch:

build-indep: build_man2html

build_man2html:

clean: clean_man2html

clean_man2html:

install: install_scripts install_config install_man install_version

install_scripts:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/x2gofeature.d
	$(INSTALL_PROGRAM) share/x2gofeature.d/*.features $(DESTDIR)$(SHAREDIR)/x2gofeature.d/

install_config:
	$(INSTALL_DIR) $(DESTDIR)$(ETCDIR)
#       provide target dirs for X11 related symlinks
	$(INSTALL_PROGRAM) etc/Xsession                 $(DESTDIR)$(ETCDIR)/
	$(INSTALL_SYMLINK) /etc/X11/Xresources          $(DESTDIR)$(ETCDIR)/
	if [ -e /etc/debian_version ] || [ -e /etc/devuan_version ]; then if [ -e $(XSESSIONOPTIONFILE) ]; then $(INSTALL_SYMLINK) $(XSESSIONOPTIONFILE) $(DESTDIR)$(ETCDIR)/Xsession.options; else touch $(DESTDIR)$(ETCDIR)/Xsession.options; fi; fi
	if [ -e /etc/debian_version ] || [ -e /etc/devuan_version ]; then if [ -d $(XSESSIONDIR) ]; then $(RM_FILE) $(DESTDIR)$(ETCDIR)/Xsession.d; $(INSTALL_SYMLINK) $(XSESSIONDIR) $(DESTDIR)$(ETCDIR)/Xsession.d; else $(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/Xsession.d; fi; fi
	if [ -e /etc/redhat-release ] || [ -e /etc/gentoo-release ] || [ -e /etc/rt-os-release ] || [ -e /etc/slackware-version ]; then if [ -d $(XINITRCDIR) ]; then $(INSTALL_SYMLINK) $(XINITRCDIR) $(DESTDIR)$(ETCDIR)/xinitrc.d; else $(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/xinitrc.d; fi; fi
	if [ -e /etc/redhat-release ] || [ -e /etc/gentoo-release ] || [ -e /etc/rt-os-release ] || [ -e /etc/slackware-version ]; then if [ -d $(XCLIENTSDIR) ]; then $(INSTALL_SYMLINK) $(XCLIENTSDIR) $(DESTDIR)$(ETCDIR)/Xclients.d; else $(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/Xclients.d; fi; fi
	if [ -e /etc/os-release ] && cat /etc/os-release | grep "suse" 1>/dev/null || [ -d /usr/share/doc/packages/brp-check-suse ]; then if [ -d $(XINITRCDIR) ]; then $(INSTALL_SYMLINK) $(XINITRCDIR) $(DESTDIR)$(ETCDIR)/xinitrc.d; else $(INSTALL_DIR) $(DESTDIR)$(ETCDIR)/xinitrc.d; fi; fi

install_man:

install_version:
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)
	$(INSTALL_DIR) $(DESTDIR)$(SHAREDIR)/versions
	$(INSTALL_FILE) VERSION.x2goserver-xsession     $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-xsession

uninstall: uninstall_scripts uninstall_config uninstall_man uninstall_version

uninstall_scripts:
	for file in $(FEATURE_SCRIPTS); do $(RM_FILE) $(DESTDIR)$(SHAREDIR)/x2gofeature.d/$$file; done

uninstall_config:
	for file in $(ETC_FILES); do $(RM_FILE) $(DESTDIR)$(ETCDIR)/$$file; done
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/Xresources
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/Xsession.options
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/Xsession.d
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/xinitrc.d
	$(RM_FILE) $(DESTDIR)$(ETCDIR)/Xclients.d

uninstall_man:

uninstall_version:
	$(RM_FILE) $(DESTDIR)$(SHAREDIR)/versions/VERSION.x2goserver-xsession
	$(RM_DIR)  $(DESTDIR)$(SHAREDIR)/versions || true

=== debian/changelog ===
x2goserver (4.1.0.4-0x2go1.2) UNRELEASED; urgency=medium

  [ Mike Gabriel ]
  * New upstream version (4.1.0.4):
    - Fix version number in VERSION.x2goserver-desktopsharing.
    - x2goserver-x2goagent: Drop x2goagent.keyboard file.
    - x2goversion: Fix situations where ${compfile} contains a
      non-absolute path (e.g. it contains '../'). (Fixes: #1357).
    - Add X2Go KDrive support (wrapper package: x2goserver-x2gokdrive).
    - Add man page for x2gocleansessions.
    - x2goserver/man/man8/x2golistsessions_root.8: Mention --all-servers
      option. (Fixes: #1395).
    - x2goruncommand: Support GNOME-based Ubuntu sessions (via X2Go Kdrive)
      as provided by Ubuntu 18.04 or later.
    - GNOME sessions: Avoid firing up of a polkit-1 authentication dialog
      requesting admin credentials to register a new color map device.
      See GNOME bug:
      https://gitlab.gnome.org/GNOME/gnome-settings-daemon/issues/273
      This change only gets activated for Debian for now and focuses
      on policykit-1 (<= 0.105). (Debian maintainers of policykit-1
      are holding back newer versions for unknown reason).
  * debian/x2goserver.postinst:
    + Drop duplicate sourcing of debconf includes.
    + Add Dutch debconf translation. Thanks to Frans Spiesschaert.
    + Add Russian debconf translation. Thanks to Lev Lamberov.
    + Add Portuguese debconf translation. Thanks to Américo Monteiro.
    + Update German translation.
  * debian/control:
    + Update (LONG_)DESCRIPTION of bin:pkg x2goserver-x2goagent.
  * x2goserver.spec:
    + Update (LONG_)DESCRIPTION of bin:pkg x2goserver-x2goagent.
    + Fix up files section for x2gokdrive (wrong pkg name).

  [ Mihai Moldovan ]
  * New upstream version (4.1.0.4):
    - x2goserver/sbin/x2gocleansessions: add newline before POD block.
    - x2goserver-x2goagent/man/man1/x2goagent.1: add version and date.
    - x2goserver/Makefile: generate man pages from Perl POD.
    - X2Go/Utils.pm: fix missing semicolons.
    - X2Go/Utils.pm: add new is_int subroutine, checking if the provided value
      is an integer.
    - x2goserver/lib: new x2goisint wrapper.
    - x2goserver/lib/x2gois{int,true}: add newlines to (error) output.
    - x2goserver/lib/x2gois{int,true}: add optional warnings.
    - x2goserver/sbin/x2gocleansessions: rework manpage/POD.
    - x2goserver/lib: add new (stub) file x2goupdateoptionsstring to deal with
      options string manipulations. Currently only parsing into an
      intermediate state is supported, the script dumps that state for now.
    - x2goserver/lib/x2goupdateoptionsstring: add function to transform the
      intermediate options string representation back into a string and some
      code that uses this new function.
    - x2goserver/lib/x2go{is{int,true},updateoptionsstring}: use q{} instead
      of empty quotes as per some... coding standard.
    - x2goserver/lib/x2go{is{int,true},updateoptionsstring}: wrap print calls
      with filehandles in curly braces.
    - x2goserver/lib/x2goupdateoptionsstring: fix some "errors" reported by
      Perl::Critic in brutal mode.
    - x2goserver/lib/x2goupdateoptionsstring: add functionality for options
      removal.
    - x2goserver/lib/x2goupdateoptionsstring: update documentation to include
      the notion of the +key[=value] syntax, which makes sense to use if key
      starts with a dash and would be ambiguously interpreted as a removal.
    - x2goserver/lib/x2goupdateoptionsstring: refactor remove_option
      subprocedure into a more general transform_intermediate one and add code
      for the modification/addition case.
    - x2goserver/lib/x2goupdateoptionsstring: ignore some very noisy
      Perl::Critic warnings that we're going to ignore anyway.
    - x2goserver/lib/x2goupdateoptionsstring: fix interpolated string warning.
    - x2goserver/lib/x2goupdateoptionsstring: add helper function for
      transform string interpretation.
    - x2goserver/lib/x2goupdateoptionsstring: write wrapper that handles
      program options, creates intermediate, passes through transform chains,
      reconverts to a string and prints it.
    - x2goserver/lib/x2goupdateoptionsstring: add debug option and some
      debugging output.
    - x2goserver/lib/x2goupdateoptionsstring: remove dead code.
    - x2goserver/lib/x2goupdateoptionsstring: update documentation and clarify
      risks of option parsing. It's better to always use -- to terminate
      program options parsing when no longer needed.
    - x2goserver/lib/x2goupdateoptionsstring: don't debug-output the
      intermediate representation if we know that parsing failed.
    - x2goserver/lib/x2goupdateoptionsstring: fix debug string and add another
      one dumping the raw options string.
    - x2goserver/lib/x2goupdateoptionsstring: fix parsing of transformation
      strings by replacing the switch statement with if statements.
      "Fallthrough" doesn't mean the same thing as in C, apparently. Buyer
      beware.
    - x2goserver/lib/x2goupdateoptionsstring: handle options in a more robust
      way. First, we scan for unknown options and error out. If we find a
      separating "--" pseudo-option, we keep that in mind and will not process
      further options next time. Do this for every run of the transformation
      loop.
    - x2goserver/lib/x2goupdateoptionsstring: fix another Perl::Critic nit.
    - x2goserver/lib/x2goupdateoptionsstring: move into x2goserver/bin, since
      it's really a standalone program and also useful for non-X2Go-internal
      usage.
    - x2goserver/Makefile: add x2goupdateoptionsstring POD-to-man-page
      handling.
    - x2goserver/Makefile: don't quote POD_SCRIPTS, because of... make.
    - x2goserver/Makefile: install man1 files and dirs, too.
    - x2goserver/bin/x2goruncommand: fix typo in IceWM branch.
    - X2Go_in_progress_do_not_use/Server/DB/MySQL.pm: backport kdrive change.
    - x2goserver/bin/x2gostartagent: fix quoting.


=== debian/control ===
Source: x2goserver
Section: x11
Priority: optional
Maintainer: X2Go Developers <x2go-dev@lists.x2go.org>
Uploaders:
 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>,
 Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>,
 Reinhard Tartler <siretart@tauware.de>,
 Mihai Moldovan <ionic@ionic.de>,
Build-Depends:
 debhelper (>= 9~),
 dpkg-dev (>= 1.16.1.1),
 dh-systemd | hello,
 lsb-release,
 man2html-base,
# Needed for /etc/X11/Xsession.d
 x11-common,
Standards-Version: 4.2.1
Homepage: https://code.x2go.org/releases/source/x2goserver
Vcs-Git: git://code.x2go.org/x2goserver.git
Vcs-Browser: https://code.x2go.org/gitweb?p=x2goserver.git;a=summary

Package: x2goserver
Architecture: any
Depends:
 bc,
 libfile-basedir-perl,
 libfile-which-perl,
 libswitch-perl,
 libtry-tiny-perl,
 libx2go-server-perl (<< ${source:Version}.1~),
 libx2go-server-perl (>= ${source:Version}),
 lsb-base,
 lsof,
 net-tools,
 openssh-client,
 openssh-server,
 perl,
 psmisc,
 pwgen,
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 x2goserver-x2goagent (<< ${source:Version}.1~),
 x2goserver-x2goagent (>= ${source:Version}),
 x2goserver-x2gokdrive (<< ${source:Version}.1~),
 x2goserver-x2gokdrive (>= ${source:Version}),
 xauth,
 xkb-data,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fontconfig,
 sshfs,
 x11-apps,
 x11-session-utils,
 x11-utils,
 x11-xfs-utils,
 x11-xkb-utils,
 x11-xserver-utils,
 x2goserver-extensions (<< ${source:Version}.1~),
 x2goserver-extensions (>= ${source:Version}),
 x2goserver-fmbindings (<< ${source:Version}.1~),
 x2goserver-fmbindings (>= ${source:Version}),
 x2goserver-printing (<< ${source:Version}.1~),
 x2goserver-printing (>= ${source:Version}),
 x2goserver-xsession (<< ${source:Version}.1~),
 x2goserver-xsession (>= ${source:Version}),
 xfonts-base,
 xinit,
Suggests:
 pulseaudio-utils,
 rdesktop,
Breaks:
 x2godesktopsharing (<< 3.1.1.2-0~),
Conflicts:
 x2goserver-compat,
 x2goserver-home,
 x2goserver-one,
 x2goserver-pyhoca,
Replaces:
 x2goserver-compat,
 x2goserver-home,
 x2goserver-one,
 x2goserver-pyhoca,
Description: X2Go server
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 This package contains the main daemon and tools for X2Go server-side
 session administrations.

Package: libx2go-log-perl
Architecture: all
Section: perl
Depends:
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
Description: Perl X2Go::Log package
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 This package contains the X2Go::Log Perl package.

Package: libx2go-server-db-perl
Architecture: any
Section: perl
Depends:
 libconfig-simple-perl,
 libdbd-pg-perl [!armhf],
 libdbd-sqlite3-perl,
# libdbd-mysql-perl,
 libx2go-log-perl (<< ${source:Version}.1~),
 libx2go-log-perl (>= ${source:Version}),
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends},
Breaks:
 x2goserver (<< 4.1.0.0-0~),
Replaces:
 x2goserver (<< 4.1.0.0-0~),
Description: Perl X2Go::Server:DB package
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 This package contains the X2Go::Server::DB Perl package.

Package: libx2go-server-perl
Architecture: all
Section: perl
Depends:
 libcapture-tiny-perl,
 libconfig-simple-perl,
 libx2go-log-perl (<< ${source:Version}.1~),
 libx2go-log-perl (>= ${source:Version}),
 libx2go-server-db-perl (<< ${source:Version}.1~),
 libx2go-server-db-perl (>= ${source:Version}),
 x2goserver-common (<< ${source:Version}.1~),
 x2goserver-common (>= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
Description: Perl X2Go::Server package
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 This package contains the X2Go::Server Perl package.

Package: x2goserver-common
Architecture: any
Depends:
 adduser,
 ${misc:Depends},
Breaks:
 x2goserver (<< 4.1.0.0-0~),
Replaces:
 x2goserver (<< 4.1.0.0-0~),
Description: X2Go Server (common files)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 This package contains common files needed by the X2Go Server
 and the X2Go::Server Perl API.

Package: x2goserver-extensions
Architecture: all
Depends:
 x11-xkb-utils,
 x2goserver (<< ${source:Version}.1~),
 x2goserver (>= ${source:Version}),
 ${misc:Depends},
Description: X2Go Server (extension support)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 The X2Go server extension namespace offers contributors to add script
 functionality to X2Go that is not needed/ignored by the legacy X2Go
 client (x2goclient).

Package: x2goserver-fmbindings
Architecture: all
Depends:
 desktop-file-utils,
 x2goserver (<< ${source:Version}.1~),
 x2goserver (>= ${source:Version}),
 xdg-utils,
 ${misc:Depends},
Description: X2Go Server (file manager bindings)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 x2goserver-fmbindings contains generic MIME type information for X2Go's
 local folder sharing. It can be used with all freedesktop.org compliant
 desktop shells.
 .
 However, this package will be superseded by other, more specific destkop
 binding components, if installed and being used with the corresponding
 desktop shell:
    - under LXDE by x2golxdebindings
    - under GNOMEv2 by x2gognomebindings
    - under MATE by x2gomatebindings
    - under KDE4/5 by plasma-widget-x2go

Package: x2goserver-printing
Architecture: all
Depends:
 adduser,
 x2goserver (<< ${source:Version}.1~),
 x2goserver (>= ${source:Version}),
 ${misc:Depends},
Conflicts:
 x2goprint,
Replaces:
 x2goprint,
Suggests:
 cups-x2go,
Description: X2Go server (printing support)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 The X2Go Server printing package provides client-side printing support
 for X2Go.
 .
 This package has to be installed on X2Go Servers that shall be able to
 pass X2Go print jobs on to the X2Go client.
 .
 This package co-operates with the cups-x2go CUPS backend. If CUPS server
 and X2Go Server are hosted on different machines, then make sure you
 install this package on the X2Go Server/s (and the cups-x2go package on
 the CUPS server).

Package: x2goserver-x2goagent
Architecture: any
Pre-Depends:
 dpkg (>= 1.15.7.2),
Depends:
 nxagent (>= 2:3.5.99.17~),
 ${misc:Depends},
Suggests:
 x2goserver,
Breaks:
 x2goagent (<< 2:3.5.99.2~),
 x2goserver (<< 4.0.1.99~),
Replaces:
 x2goagent (<< 2:3.5.99.2~),
 x2goserver (<< 4.0.1.99~),
Description: X2Go Server's X2Go Agent Xserver
 X2Go is a software suite that uses NX and/or KDrive technology for
 remote desktop computing.
 .
 NX technology implements a very efficient compression of the X11
 protocol. This increases performance when using X applications over a
 network, especially a slow one.
 .
 X2Go agent functionality has been completely incorporated into NX
 agent's code base. If the nxagent binary is executed under the name of
 `x2goagent', the X2Go functionalities get activated.
 .
 This package is a wrapper that activates X2Go branding in nxagent.
 Please refer to the nxagent package's description for more information
 on NX.

Package: x2goserver-x2gokdrive
Architecture: any
Pre-Depends:
 dpkg (>= 1.15.7.2),
Depends:
 xserver-x2gokdrive,
 ${misc:Depends},
Suggests:
 x2goserver,
Description: X2Go Server's X2Go KDrive Xserver
 X2Go is a software suite that uses NX and/or KDrive technology for
 remote desktop computing.
 .
 X2Go KDrive technology implements a remote X11 Xserver backend for
 modern desktop environments, namely desktops derived from the GNOME
 desktop shell.
 .
 X2Go KDrive does not require an XServer on the client-side, only the
 X11-independent x2gokdriveclient. esktop session data transfers from
 server to client use differential image compression and image data gets
 cached client-side.

Package: x2goserver-xsession
Architecture: all
Pre-Depends:
 dpkg (>= 1.14.17),
Depends:
 dbus,
 x11-common,
 x2goserver (<< ${source:Version}.1~),
 x2goserver (>= ${source:Version}),
 ${dist:Depends},
 ${misc:Depends},
Description: X2Go Server (Xsession runner)
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 This X2Go Server add-on enables Xsession script handling when starting
 desktop sessions with X2Go.
 .
 Amongst others the parsing of Xsession scripts will enable
 desktop-profiles, ssh-agent startups, gpgagent startups and many more
 Xsession related features on X2Go session login automagically.

Package: x2goserver-desktopsharing
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 x2goserver (>= 4.0.0.0-0~),
 x2godesktopsharing (>= 3.2.0.0~),
Breaks: x2godesktopsharing (<< 3.2.0.0~),
Replaces: x2godesktopsharing (<< 3.2.0.0~),
Description: Share X11 desktops with other users via X2Go
 X2Go is a server based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick
 .
 X2Go Desktop Sharing is an X2Go add-on feature that allows a user to
 grant other X2Go users access to the current session (shadow session
 support). The user's current session may be an X2Go session itself or
 simply a local X11 session.
 .
 This package contains all the integration and configuration logics
 of a system-wide manageable desktop sharing setup.

=== debian/rules ===
#!/usr/bin/make -f

RELEASE_VER = 0
RELEASE_VER_MAJOR = 0
RELEASE_VER_MINOR = 0
SUBSTVARS_LEGACY = -Vdist:Depends="perl"
SUBSTVARS_MULTI_ARCH_HINT = -Vdist:Depends="perl:any"
SUBSTVARS = $(SUBSTVARS_LEGACY)
USE_GTK = 2.0

ifeq ($(shell { dpkg-vendor --is Debian && echo yes; } || { dpkg-vendor --is Raspbian && echo yes; }),yes)
        RELEASE_VER = $(shell /usr/bin/lsb_release -r | /bin/sed -e 's/[         ]*//g' | /usr/bin/cut -d ':' -f '2' | /usr/bin/cut -d '.' -f '1')
# Let's fake testing's and unstable's "release version"...
ifeq ($(RELEASE_VER),testing)
        RELEASE_VER = 999
endif
ifeq ($(RELEASE_VER),unstable)
        RELEASE_VER = 9999
endif
ifeq ($(shell /bin/bash -c '(( $(RELEASE_VER) >= 8 )) && echo yes'),yes)
        SUBSTVARS = $(SUBSTVARS_MULTI_ARCH_HINT)
endif
else ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes),yes)
        RELEASE_VER_MAJOR = $(shell /usr/bin/lsb_release -r | /bin/sed -e 's/[   ]*//g' | /usr/bin/cut -d ':' -f '2' | /usr/bin/cut -d '.' -f '1')
        RELEASE_VER_MINOR = $(shell /usr/bin/lsb_release -r | /bin/sed -e 's/[   ]*//g' | /usr/bin/cut -d ':' -f '2' | /usr/bin/cut -d '.' -f '2')
ifeq ($(shell /bin/bash -c '(( $(RELEASE_VER_MAJOR) >= 16 )) && echo yes'),yes)
        SUBSTVARS = $(SUBSTVARS_MULTI_ARCH_HINT)
endif
endif

export NXLIBDIR='/usr/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/nx'
export LIBDIR='/usr/lib/x2go'

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	PREFIX='/usr' NXLIBDIR=$(NXLIBDIR) LIBDIR=$(LIBDIR) dh ${@} --with=systemd || PREFIX='/usr' NXLIBDIR=$(NXLIBDIR) LIBDIR=$(LIBDIR) dh ${@}

override_dh_auto_build:
	PREFIX='/usr' NXLIBDIR=$(NXLIBDIR) LIBDIR=$(LIBDIR) PERL_INSTALLDIRS=vendor dh_auto_build

override_dh_auto_install:
	if [ -f ChangeLog.gitlog ]; then cp ChangeLog.gitlog ChangeLog; fi
	$(MAKE) -f Makefile build-arch PREFIX='/usr' NXLIBDIR=$(NXLIBDIR) LIBDIR=$(LIBDIR)
	PREFIX='/usr' NXLIBDIR=$(NXLIBDIR) LIBDIR=$(LIBDIR) dh_auto_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_clean:
	rm -f ChangeLog
	rm -Rfv x2goserver/.build_html
	rm -Rfv x2goserver-extensions/.build_html
	rm -f ChangeLog.gitlog
	rm -f MYMETA.yml
	rm -f Makefile.perl.old
	PREFIX='/usr' NXLIBDIR=$(NXLIBDIR) LIBDIR=$(LIBDIR) dh_auto_clean
	rm -f Makefile.perl

override_dh_gencontrol:
	dh_gencontrol -- $(SUBSTVARS)
